public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Zac Medico" <zmedico@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-emulation/cri-o/
Date: Wed, 12 Jun 2019 18:01:43 +0000 (UTC)	[thread overview]
Message-ID: <1560362498.25163adcbe486d1cb9676754f490aad29682974d.zmedico@gentoo> (raw)

commit:     25163adcbe486d1cb9676754f490aad29682974d
Author:     Zac Medico <zmedico <AT> gentoo <DOT> org>
AuthorDate: Wed Jun 12 17:59:47 2019 +0000
Commit:     Zac Medico <zmedico <AT> gentoo <DOT> org>
CommitDate: Wed Jun 12 18:01:38 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=25163adc

app-emulation/cri-o: Bump to version 1.14.4

Package-Manager: Portage-2.3.67, Repoman-2.3.14
Signed-off-by: Zac Medico <zmedico <AT> gentoo.org>

 app-emulation/cri-o/Manifest            |   1 +
 app-emulation/cri-o/cri-o-1.14.4.ebuild | 110 ++++++++++++++++++++++++++++++++
 2 files changed, 111 insertions(+)

diff --git a/app-emulation/cri-o/Manifest b/app-emulation/cri-o/Manifest
index 9b2463258a6..f358d62e965 100644
--- a/app-emulation/cri-o/Manifest
+++ b/app-emulation/cri-o/Manifest
@@ -1,3 +1,4 @@
 DIST cri-o-1.10.6.tar.gz 5161858 BLAKE2B bbfaf60c92dee3a9f42e9d4fc9b5482057a7a0ff2de36d74d434e2e60b53f92f70980c83825c18089c4a48bfa01c164b77aa01506c68c763f00265796e07d367 SHA512 b6a412cf5859dab79095732c2528e2ba373b3c21740203441fd3646862e2458e78e71f1895a5def05207964ef96a354c04395356e426600994bb39d3adfd0894
 DIST cri-o-1.13.9.tar.gz 6685519 BLAKE2B 5d9e68c7a0ae532e2406e5e47562693cddbc34a8b3ddcab0a7a34509dff8383d1fc255cba634efb186193e5784cc6a7638387ca29e68288af7621b8b25f1a71a SHA512 1541368955c62c697dbd6b850cdf6762a13a7a308f699e3a50dbfe29fbf991f4f47cfcce75bc41745e0c27acb29457ec86d3312ef13341a5d94526865e60eb3e
 DIST cri-o-1.14.2.tar.gz 9347347 BLAKE2B 83a0d77245bc841a9f89c55c853b64e69cec124da07b1314cfc27237cc82c55e49becc0f14c579a09d23e8da047c6bbb285b0eb79c4609a23827ab24ae28ce4a SHA512 1499b09a8f5c51b426bd8fba7c254288707524a363bfa97537edd35fdf29ac354d13578f2bf3c09c2d128650082f9a2bfbf69872fa9fce77dbff43913afc8066
+DIST cri-o-1.14.4.tar.gz 9370878 BLAKE2B 50fd9b9c4802d2d89b8bbc83d1faf3084a2978835c579814730b93772f3e04cef8d1b46b2176eff494906e89fc20a53cbcab0cf0cabaed74ddcf56bd9f89b14d SHA512 2a78e7ec3ba5ff80649ec11e42da80b15ab86e5b541ffa626a65042b362ac8445bbf00ec46014c0fdd8baec2e4777e23a2463de318113f9c4c6ddda92b5cf3b7

diff --git a/app-emulation/cri-o/cri-o-1.14.4.ebuild b/app-emulation/cri-o/cri-o-1.14.4.ebuild
new file mode 100644
index 00000000000..219a35d4866
--- /dev/null
+++ b/app-emulation/cri-o/cri-o-1.14.4.ebuild
@@ -0,0 +1,110 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+EGIT_COMMIT="66a9cf7c79b529c0f76546a352c1a4eb04b7721c"
+EGO_PN="github.com/cri-o/${PN}"
+
+inherit golang-vcs-snapshot
+
+DESCRIPTION="OCI-based implementation of Kubernetes Container Runtime Interface"
+HOMEPAGE="https://cri-o.io/"
+SRC_URI="https://github.com/cri-o/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="btrfs +device-mapper ostree selinux systemd"
+
+COMMON_DEPEND="
+	app-crypt/gpgme:=
+	app-emulation/runc
+	dev-libs/glib:=
+	dev-libs/libassuan:=
+	dev-libs/libgpg-error:=
+	net-firewall/conntrack-tools
+	net-firewall/iptables
+	net-misc/cni-plugins
+	net-misc/socat
+	sys-apps/iproute2
+	sys-libs/libseccomp:=
+	btrfs? ( sys-fs/btrfs-progs )
+	device-mapper? ( sys-fs/lvm2:= )
+	ostree? ( dev-util/ostree )
+	selinux? ( sys-libs/libselinux:= )
+	systemd? ( sys-apps/systemd:= )"
+DEPEND="
+	${COMMON_DEPEND}
+	dev-go/go-md2man"
+RDEPEND="${COMMON_DEPEND}
+	!<app-emulation/libpod-1.3.2-r1"
+S="${WORKDIR}/${P}/src/${EGO_PN}"
+
+src_prepare() {
+	default
+
+	sed -e '/^GIT_.*/d' \
+		-e '/	git diff --exit-code/d' \
+		-e 's/$(GO) build -i/$(GO) build -v -work -x/' \
+		-e 's/\${GIT_COMMIT}/'${EGIT_COMMIT}'/' \
+		-i Makefile || die
+
+	echo ".NOTPARALLEL: binaries docs" >> Makefile || die
+
+	sed -e "s|^COMMIT_NO := .*|COMMIT_NO := ${EGIT_COMMIT}|" \
+		-e "s|^GIT_COMMIT := .*|GIT_COMMIT := ${EGIT_COMMIT}|" \
+		-i Makefile.inc || die
+
+	sed -e 's:/usr/local/bin:/usr/bin:' \
+		-i contrib/systemd/* || die
+
+	if ! use systemd; then
+		sed -e 's| pkg-config --exists libsystemd-journal | false |' \
+			-e 's| pkg-config --exists libsystemd | false |' \
+			-i conmon/Makefile || die
+	fi
+}
+
+src_compile() {
+	[[ -f hack/btrfs_installed_tag.sh ]] || die
+	use btrfs || { echo -e "#!/bin/sh\necho exclude_graphdriver_btrfs" > \
+		hack/btrfs_installed_tag.sh || die; }
+
+	[[ -f hack/libdm_installed.sh ]] || die
+	use device-mapper || { echo -e "#!/bin/sh\necho exclude_graphdriver_devicemapper" > \
+		hack/libdm_installed.sh || die; }
+
+	[[ -f hack/ostree_tag.sh ]] || die
+	use ostree || { echo -e "#!/bin/sh\necho containers_image_ostree_stub" > \
+		hack/ostree_tag.sh || die; }
+
+	[[ -f hack/selinux_tag.sh ]] || die
+	use selinux || { echo -e "#!/bin/sh\ntrue" > \
+		hack/selinux_tag.sh || die; }
+
+	mkdir -p bin || die
+	GOPATH="${WORKDIR}/${P}" GOBIN="${WORKDIR}/${P}/bin" \
+		emake all
+}
+
+src_install() {
+	emake DESTDIR="${D}" PREFIX="${D}${EPREFIX}/usr" install install.config install.systemd
+
+	keepdir /etc/crio
+	mv "${ED}/etc/crio/crio.conf"{,.example} || die
+
+	newinitd "${FILESDIR}/crio.initd" crio
+
+	insinto /etc/logrotate.d
+	newins "${FILESDIR}/${PN}.logrotated" "${PN}"
+
+	# Suppress crio log error messages triggered if these don't exist.
+	keepdir /etc/containers/oci/hooks.d
+	keepdir /usr/share/containers/oci/hooks.d
+
+	# Suppress crio "Missing CNI default network" log message.
+	keepdir /etc/cni/net.d
+	insinto /etc/cni/net.d
+	doins contrib/cni/99-loopback.conf
+}


             reply	other threads:[~2019-06-12 18:01 UTC|newest]

Thread overview: 32+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-06-12 18:01 Zac Medico [this message]
  -- strict thread matches above, loose matches on Subject: below --
2021-11-12  3:01 [gentoo-commits] repo/gentoo:master commit in: app-emulation/cri-o/ Zac Medico
2021-11-12  3:01 Zac Medico
2021-04-26 23:20 Zac Medico
2021-04-26 23:20 Zac Medico
2020-09-21 16:34 Zac Medico
2020-08-31 10:18 Alexis Ballier
2020-08-19 16:48 Zac Medico
2020-08-19 16:39 Zac Medico
2020-03-17 15:02 William Hubbs
2020-02-12 21:35 William Hubbs
2020-02-12 21:35 William Hubbs
2019-09-19  4:06 Zac Medico
2019-09-19  3:58 Zac Medico
2019-09-19  3:58 Zac Medico
2019-09-06 22:58 Zac Medico
2019-09-06 22:47 Zac Medico
2019-07-21  5:59 Zac Medico
2019-07-21  5:33 Zac Medico
2019-06-01  6:42 Zac Medico
2019-06-01  3:48 Zac Medico
2019-06-01  0:16 Zac Medico
2019-05-28 23:35 Zac Medico
2019-05-01 22:27 Zac Medico
2019-04-29 17:34 Zac Medico
2019-04-29 17:23 Zac Medico
2019-04-11 22:49 Zac Medico
2019-04-11 21:53 Zac Medico
2019-02-17 18:29 Zac Medico
2019-01-04  0:06 Zac Medico
2018-12-04 10:24 Zac Medico
2018-06-04  8:32 Zac Medico

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1560362498.25163adcbe486d1cb9676754f490aad29682974d.zmedico@gentoo \
    --to=zmedico@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox